Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io
Interface ICompactSerializer2<T>

All Known Implementing Classes:
  ColumnFamilySerializer, ColumnSerializer, Token.TokenSerializer

    public interface ICompactSerializer2<T>

Method Summary
`T` | `deserialize(java.io.DataInput dis)` Deserialize from the specified DataInput instance.
`void` | `serialize(T t, java.io.DataOutput dos)` Serialize the specified type into the specified DataOutput instance.

Method Detail

### serialize

    void serialize(T t,
                   java.io.DataOutput dos)
                   throws java.io.IOException

  Serialize the specified type into the specified DataOutput instance.

  Parameters:
    `t` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    T deserialize(java.io.DataInput dis)
                  throws java.io.IOException

  Deserialize from the specified DataInput instance.

  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation